        program gradirad
C programma che, dato in input il valore di un angolo espresso
C in gradi, primi e secondi, lo restituisce in radianti
        implicit none
        integer xgradi, xprimi, xsecondi
        real*8 xradianti
        real*8 pi


        pi=2.0d0*dasin(1.0d0)
        write(*,*) 'scrivi l''angolo in gradi, primi e secondi'
        read(*,*)  xgradi, xprimi, xsecondi
        write(*,*) 'xgradi ', xgradi
        write(*,*) 'xprimi ', xprimi
        write(*,*) 'xsecondi ', xsecondi
        xradianti= (xgradi + xprimi/60.0d0 + xsecondi/3600.0d0)
     a   *pi/180.0d0
        write(*,*)  'xradianti ', xradianti

        end

